<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package accesspress_parallax
 */
//print_r(get_option( 'accesspress_parallax' ));
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="profile" href="http://gmpg.org/xfn/11">
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <?php
        if ( function_exists( 'wp_body_open' ) ) {
           wp_body_open();
           wp_body_open_header();
        } ?>
        <div class="ap-bar"></div>
        <div id="page" class="hfeed site">
            <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'accesspress-parallax' ); ?></a>
            <?php
            if ( accesspress_parallax_of_get_option( 'show_social' ) == 1 ):
                do_action( 'accesspress_social' );
            endif;
            ?>
            <?php $header_bottom = (accesspress_parallax_of_get_option( 'enable_bottom_border' )) ? 'header-bottom-border' : ""; ?>
            <header id="pbheader">
                <div class="mid-content clearfix ">
                    <div class="flex-box">
                        <div class="para-blog-head-wrap">
                            <div id="site-logo">
                                <?php if ( get_header_image() ) : ?>
                                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
                                        <img src="<?php header_image(); ?>" alt="<?php bloginfo( 'name' ); ?>">
                                    </a>
                                <?php else: ?>
                                    <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                                    <h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
                                <?php endif; ?>
                            </div>
                            <?php do_action('para_blog_latest_post_on_menu'); ?>
                        </div>
                    </div>
                </div>
                <div class="pb-nav-wrapper">
                    <div class ="mid-content clearfix ">

                        <nav id="site-navigation" class="main-navigation">
                        <div class="menu-toggle"><?php esc_html_e( 'Menu', 'accesspress-parallax' ); ?></div>
                            <?php
                            wp_nav_menu( array(
                                'theme_location' => 'primary',
                                'container' => false
                            ) );
                            ?>
                        </nav><!-- #site-navigation -->
                        
                        <div class="side_menu"></div> 
                        <div class="pb-head-author">
                            <i class="fa fa-bars" aria-hidden="true"></i>
                            <?php
                            $enable_author_on_menu  = accesspress_parallax_of_get_option( 'enable_author_on_menu',1 );
                            if( $enable_author_on_menu ) {
                                echo parallax_blog_author_settings();
                            }
                          ?>
                        </div>
                    </div>
                </div>
            </header><!-- #masthead -->

            <div id="content" class="site-content ">
                <?php
                if ( is_home() || is_front_page() ) :
                   // do_action( 'accesspress_bxslider' );
                endif;
                ?>