<?php

/*===========================================================================================================*/
/**
 * Latest post on menu
 *
 * @since 1.0.0
 */
add_action( 'para_blog_latest_post_on_menu', 'para_blog_latest_post_on_menu' );
if( ! function_exists( 'para_blog_latest_post_on_menu' ) ):
    function para_blog_latest_post_on_menu() {
       $no_of_posts 		= accesspress_parallax_of_get_option( 'no_of_posts',4 );
       $post_display_type  = accesspress_parallax_of_get_option( 'post_display_type', 'latest-post' );
       $hd_post_menu_cat  = accesspress_parallax_of_get_option( 'hd_post_menu_cat',0 );
       $enable_posts_on_menu  = accesspress_parallax_of_get_option( 'enable_posts_on_menu',1 );

       if ( !$enable_posts_on_menu  ) :
        return;
        endif; ?>
        <div class="parallax-blog-latest-post-wrapper cS-hidden">
            <div class="parallax-blog-latest-post-container">
                <?php 
                if( $enable_posts_on_menu ) {
                    if( $post_display_type == 'cat-post' ){
                        $latest_post_args = array(
                            'post_type'     => 'post',
                            'posts_per_page' => $no_of_posts,
                            'cat'            => absint($hd_post_menu_cat),   
                            'ignore_sticky_posts' => 1
                        );    
                    }else{
                        $latest_post_args = array(
                            'post_type'     => 'post',
                            'posts_per_page' => $no_of_posts,
                            'ignore_sticky_posts' => 1
                        ); 

                    }
                    $para_latest_post_query = new WP_Query( $latest_post_args );
                    if( $para_latest_post_query->have_posts() ) { 
            	//print_r($para_latest_post_query);?>
                <div class="latest-post-wrapp">
                	<div class="para-blog-latest-post">
                        <?php 
                        while( $para_latest_post_query->have_posts() ) {
                            $para_latest_post_query->the_post();
                            ?>
                            <div class="latest-post">
                                <?php if( accesspress_parallax_of_get_option( 'enable_cat_on_menu' ) == '1'  ) {?>
                                <h5 class="cat"> <?php the_category(); ?> </h5>
                                <?php } ?>
                                <a href="<?php the_permalink(); ?>">
                                    <?php the_title(); ?>
                                </a>
                            </div>

                            <?php
                        }
                        wp_reset_postdata();
                        ?>
                    </div>
                </div>
                <?php 
            }
        }
        echo '</div><!--.parallax-blog-latest-post-container -->';
        echo '</div>';
    }
endif;


function parallax_blog_author_settings(){
    $author_title  = accesspress_parallax_of_get_option( 'author_title' );
    $author_logo  = accesspress_parallax_of_get_option( 'author_logo' );
    $author_image  = accesspress_parallax_of_get_option( 'author_image' );
    $author_description  = accesspress_parallax_of_get_option( 'author_description' );
    $read_more_link  = accesspress_parallax_of_get_option( 'read_more_link' );
    $author_signature  = accesspress_parallax_of_get_option( 'author_signature' );
    $author_copyright  = accesspress_parallax_of_get_option( 'author_copyright' );?>
    <div class="pb-author-box-settings-wrap">
        <a href="javascript:void(0)" class="closebtn" >&times;</a>
        <div class="pb-author-logo">
            <img src="<?php echo esc_url($author_logo); ?>">
        </div>
        <div class="pb-author-title">
            <?php echo esc_html($author_title); ?>
        </div>
        <div class="pb-author-img">
            <img src="<?php echo esc_url($author_image); ?>">
        </div>
        <div class="pb-author-desc">
            <?php echo esc_html($author_description); ?>
        </div>
        <span class="read_more_feature">
            <a href="<?php echo esc_attr($read_more_link)?>"><?php esc_html_e('Read More','parallax-blog') ?></a>
        </span>
        <div class="pb-author-sign">
            <img src="<?php echo esc_url($author_signature); ?>">
        </div>
        <div class="pb-author-icons">
            <h5 class="widget-follow"><?php esc_html_e('Follow Us','parallax-blog');?></h5>
            <?php do_action('para_blog_auth_icons_list'); ?>
        </div>
        
        <div class="pb-author-cp">
            <?php echo esc_html($author_copyright); ?>
        </div>
        
    </div>
    <?php 
}


/**
* Social Icons
*/
if( ! function_exists('para_blog_auth_social_icons')){
    function para_blog_auth_social_icons(){

        $social_icons = array('facebook','twitter','youtube','pinterest','instagram','linkedin','dribbble','soundcloud','dropbox');
        foreach( $social_icons as $social_icon){
            $pb_auth_social_icons = accesspress_parallax_of_get_option( 'parallax_blog_'.$social_icon.'_url');
            if( $pb_auth_social_icons ){?>
            <div class="pb-author-sc-icons">
                <?php 
                echo '<a href="'.$pb_auth_social_icons.'" target="_blank">';

                echo '<i class ="fa fa-'. $social_icon.'"></i>';    
            echo '</a>';?>
        </div>
        <?php 
    }
}
}
}
add_action('para_blog_auth_icons_list','para_blog_auth_social_icons');


/* Latest article load ajax function
*
*
*/
if(!function_exists('pb_ajax_load_more')){
    function pb_ajax_load_more(){
        ob_start();

        $catID = stripcslashes($_POST['catID']);

        $postsPerPage = $_POST['postPages'];
        $data_count = $_POST['data_count'];


        $excerpt = $_POST['excerpt'];


        $default_val = stripcslashes($_POST['default_jsons']);
        $decoded_val = json_decode($default_val);


        $decoded_ids = json_decode($catID);
        $catCount =  count($decoded_ids)-1;

        if($data_count == $catCount){
            $btn_class = 'hide-button';
        }else{
            $btn_class = '';
        }

       // var_dump($decoded_ids[$data_count]);
        // array_pop($decoded_ids);
        // array_pop($decoded_ids);    
        //var_dump($catCount);
        
        $show_author = $decoded_val->p_author;
        $date        = $decoded_val->p_date;


//foreach ($decoded_ids as $decoded_id) {?>
<div class=" pb-blog-wrapper <?php echo esc_attr($btn_class); ?>">
    <h2><?php echo (get_cat_name( $decoded_ids[$data_count] )); ?></h2>
    <?php

    $block_argument = array(
        'post_status'           => array( 'publish' ),
        'post_type'             => 'post',
        'cat'                   => $decoded_ids[$data_count],
        'posts_per_page'        => $postsPerPage,
    );
    $i = 0;
    $query = new WP_Query( $block_argument );
    if ( $query->have_posts() ):
        while ( $query->have_posts() ): $query->the_post();
            $i++;
            if ($i % 2 == 1) {
              $new_class = 'right-side';
              }else{
                $new_class = 'left-side';
            }

            if ($i % 2 == 1) {
              $main_class = 'right';
              }else{
                $main_class = 'left';
            }
            if ( has_post_thumbnail() ) :
                $image_id = get_post_thumbnail_id();  
                if( $image_id ){
                    $img_src    = wp_get_attachment_image_src( $image_id, 'full');
                }
                ?>
            <?php endif; ?>
            <div class="pb-blog-wrap <?php echo esc_attr($main_class); ?>" style= "background-image:url('<?php echo esc_url( $img_src[0]); ?>')">
                <div class="blog-content <?php echo esc_attr($new_class); ?> ">
                    <div class="blog-cat">
                        <?php  the_category(); ?>
                    </div>
                    <div>
                        <?php 
                        the_title('<h4 class="blog-post-title"><a href="'. get_the_permalink().'">', '</a></h4>'); ?>
                    </div>
                    <div class="blog-excerpt">
                        <?php echo accesspress_letter_count( get_the_excerpt(), $excerpt );  // WPCS: XSS OK.   ?> 
                    </div>
                    <div class="author-wrapper">
                        <div class = "blog-avatar">
                            <?php echo get_avatar( get_the_author_meta( 'ID' ), 55 ); ?>
                        </div>

                        <div class="pb-auth-wrap">
                            <?php if($show_author): ?>
                                <div class="author"><?php echo esc_attr(get_the_author()); ?></div> 
                            <?php endif; ?>
                            <?php if($date): ?>
                                <span class="posted-date"><?php echo esc_html(get_the_date('d M Y')); ?></span>
                            <?php 
                            endif;?>
                        </div> 
                    </div>
                    </div>
                </div>
                <?php
            endwhile;
            $i--;
            wp_reset_postdata();
            endif;?>
        </div>
        <?php 
   // }

        $ret_html = ob_get_contents();
        ob_get_clean();  
        echo   $ret_html;            
        die();
    }
}
add_action('wp_ajax_pb_ajax_load_more','pb_ajax_load_more');
add_action( 'wp_ajax_nopriv_pb_ajax_load_more', 'pb_ajax_load_more' );

/**
* Set Post view count
*
* @since 1.0.0
*/
function parallax_blog_setPostViews( $postID ) {
    $count_key = 'parallax_blog_post_views_count';
    $count = get_post_meta( $postID, $count_key, true );
    if( $count == '' ){
        $count = 0;
        delete_post_meta( $postID, $count_key );
        add_post_meta( $postID, $count_key, '0' );
    }else{
        $count++;
        update_post_meta( $postID, $count_key, $count );
    }
}

/**
 * Get Post view count
 *
 * @since 1.0.0
 */
function parallax_blog_getPostViews( $postID ){
    $count_key = 'parallax_blog_post_views_count';
    $count = get_post_meta( $postID, $count_key, true) ;
    if( $count == '' ){
        delete_post_meta( $postID, $count_key );
        add_post_meta( $postID, $count_key, '0' );
        return '0';
    }
    return $count;
}

function parallax_blog_post_views() {
    $post_view_count = parallax_blog_getPostViews( get_the_ID() );
    echo '<span class="post-view">'. absint($post_view_count). esc_html__('Views','parallax-blog') .'</span>';
}

/**
 * Function for content excerpt length
 */
if( ! function_exists('parallax_blog_excerpt')):
    function parallax_blog_excerpt($count){
      //$btn_text  = get_theme_mod('trickle_post_excerpt_btn_txt','Read More');
        if( empty($count)){
            return;
        }
        $permalink = get_permalink( get_the_ID() );
        $excerpt   = get_the_content();
        $excerpt   = strip_tags($excerpt);   
        $excerpt   = substr($excerpt, 0, $count);

        if($count){
            $excerpt   = '<div class="blog-content">'.$excerpt.'</div>'.'<div class="content-read-more"><a href="'.esc_url($permalink).'" class="expost-link">'.esc_html__("Read More","parallax_blog").'</a></div>';
        }

        return $excerpt;
    }
endif;


/**
* Rearrange default Comment form fields
*
*/
add_filter( 'comment_form_fields', 'parallax_blog_move_comment_field' );
if ( ! function_exists( 'parallax_blog_move_comment_field' ) ) {
function parallax_blog_move_comment_field( $fields ) {

    if ( array_key_exists( 'comment', $fields ) ) {
        $comment_field = $fields['comment'];
        unset( $fields['comment'] );
        $fields['comment'] = $comment_field;
    }

    if ( array_key_exists( 'cookies', $fields ) ) {
        $cookie_field = $fields['cookies'];
        unset( $fields['cookies'] );
        $fields['cookies'] = $cookie_field;
    }

    return $fields;
}
}

if ( ! function_exists( 'parallax_blog_comments_list' ) ) {
    function parallax_blog_comments_list( $comment, $args, $depth ) {
        ?>
        <div <?php comment_class( empty( $args['has_children'] ) ? 'media' : 'parent media' ); ?>
            id="comment-<?php comment_ID(); ?>">
            <?php if ( $args['type'] != 'pings' ) : ?>
                <a class="comment-img-wrap" href="<?php echo esc_url( get_comment_author_url( $comment ) ); ?> ">
                    <div class="comment-author avatar vcard">
                        <?php
                        if ( $args['avatar_size'] != 0 ) {
                            echo get_avatar( $comment, 120 );
                        }
                        ?>
                    </div>
                </a>
            <?php endif; ?>
            <div class="comment-content">
                <div class="pb-comment-top-wraper">
                    <h4 class="comment-heading">
                        <?php echo get_comment_author_link(); ?>
                        <small>
                            <?php
                            printf(
                                /* translators: %1$s is Date, %2$s is Time */
                                esc_html__( '%1$s', 'parallax-blog' ),
                                get_comment_date()
                            );
                            edit_comment_link( esc_html__( '(Edit)', 'parallax-blog' ), '  ', '' );
                            ?>
                        </small>
                    </h4>
                    <div class="comment-footer">
                        <?php
                        echo get_comment_reply_link(
                            array(
                                'depth'      => $depth,
                                'max_depth'  => $args['max_depth'],
                                'reply_text' => sprintf( '<i class="fa fa-mail-reply"></i> %s', esc_html__( 'Reply', 'parallax-blog' ) ),
                            ),
                            $comment->comment_ID,
                            $comment->comment_post_ID
                        );
                        ?>
                    </div>
                </div>
                <?php comment_text(); ?>
                
            </div>
        </div>
        <?php
    }
}

function parallax_blog_change_comment_date_format( $date, $date_format, $comment ) {
    return date( 'd M Y', strtotime( $comment->comment_date ) );
}
add_filter( 'get_comment_date', 'parallax_blog_change_comment_date_format', 10, 3 );

function parallax_blog_user_social_array(){

    $parallax_blog_user_social_array = array(
        'behance'           => esc_html__( 'Behance', 'parallax-blog' ),
        'delicious'         => esc_html__( 'Delicious', 'parallax-blog' ),
        'deviantart'        => esc_html__( 'Deviantart', 'parallax-blog' ),
        'digg'              => esc_html__( 'Digg', 'parallax-blog' ),
        'dribbble'          => esc_html__( 'Dribbble', 'parallax-blog' ),
        'facebook'          => esc_html__( 'Facebook', 'parallax-blog' ),
        'flickr'            => esc_html__( 'Flickr', 'parallax-blog' ),
        'github'            => esc_html__( 'Github', 'parallax-blog' ),
        'google-plus'       => esc_html__( 'Google+', 'parallax-blog' ),
        'html5'             => esc_html__( 'Html5', 'parallax-blog' ),
        'instagram'         => esc_html__( 'Instagram', 'parallax-blog' ),    
        'linkedin'          => esc_html__( 'Linkedin', 'parallax-blog' ),
        'paypal'            => esc_html__( 'Paypal', 'parallax-blog' ),
        'pinterest'         => esc_html__( 'Pinterest', 'parallax-blog' ),
        'reddit'            => esc_html__( 'Reddit', 'parallax-blog' ),
        'rss'               => esc_html__( 'RSS', 'parallax-blog' ),
        'share'             => esc_html__( 'Share', 'parallax-blog' ),
        'skype'             => esc_html__( 'Skype', 'parallax-blog' ),
        'soundcloud'        => esc_html__( 'Soundcloud', 'parallax-blog' ),
        'spotify'           => esc_html__( 'Spotify', 'parallax-blog' ),
        'stack-exchange'    => esc_html__( 'Stackexchange', 'parallax-blog' ),
        'stack-overflow'    => esc_html__( 'Stackoverflow', 'parallax-blog' ),
        'steam'             => esc_html__(  'Steam', 'parallax-blog' ),
        'stumbleupon'       => esc_html__( 'StumbleUpon', 'parallax-blog' ),
        'tumblr'            => esc_html__( 'Tumblr', 'parallax-blog' ),
        'twitter'           => esc_html__( 'Twitter', 'parallax-blog' ),
        'vimeo'             => esc_html__( 'Vimeo', 'parallax-blog' ),
        'vk'                => esc_html__( 'VKontakte', 'parallax-blog' ),
        'windows'           => esc_html__( 'Windows', 'parallax-blog' ),
        'wordpress'         => esc_html__( 'Woordpress', 'parallax-blog' ),
        'yahoo'             => esc_html__( 'Yahoo', 'parallax-blog' ),
        'youtube'           => esc_html__( 'Youtube', 'parallax-blog' )
    );
    return $parallax_blog_user_social_array;
}


function parallax_blog_author_meta_contact() {

    $parallax_blog_user_social_array = parallax_blog_user_social_array();
    foreach( $parallax_blog_user_social_array as $icon_id => $icon_name ) {
        $contactmethods[$icon_id] = $icon_name;
    }
    return $contactmethods;
}

add_filter( 'user_contactmethods', 'parallax_blog_author_meta_contact' );

/*===========================================================================================================*/
/**
 * Get author info
 *
 * @since 1.0.0
 */
add_action( 'parallax_blog_author_info', 'parallax_blog_author_info_hook' );
if( ! function_exists( 'parallax_blog_author_info_hook' ) ):
    function parallax_blog_author_info_hook() {
        global $post;
        $author_id = $post->post_author;
        $author_avatar = get_avatar( $author_id, '190' );
        $author_nickname = get_the_author_meta( 'display_name' );
        ?>
        <div class="para-blog-author-metabox clearfix">
            <div class="tri-author-wrapper">
                <h3 class="pb-author-main-title"><?php echo esc_html__('About Author','parallax-blog'); ?></h3>
                <div class="author-avatar">
                    <div class = "pb-auth-img-first-wrap">
                        <div class="pb-auth-img-wrap">
                            <div class="author-image">
                                <?php 
                                echo wp_kses_post($author_avatar);
                                ?>
                            </div>
                            <div class="author-name-first-wrapper">
                                <a class="author-title" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );?>"><?php echo esc_html( $author_nickname ); ?></a>
                            </div>
                        </div>
                        <a class="author-btn" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );?>"><?php echo esc_html__('View More Posts','parallax-blog' ); ?></a>
                    </div>
                    <div class="author-desc-inner">
                      <div class="author-description"><?php echo get_the_author_meta( 'description' ); ?></div>
                      <div class="author-social">
                          <?php 
                          global $parallax_blog_user_social_array;
                          foreach( $parallax_blog_user_social_array as $icon_id => $icon_name ) {
                              $author_social_link = get_the_author_meta( $icon_id );
                              if( !empty( $author_social_link ) ) {
                                  ?>
                                  <span class="social-icon-wrap"><a href="<?php echo esc_url( $author_social_link )?>" target="_blank" title="<?php echo esc_attr( $icon_name )?>"><i class="fa fa-<?php echo esc_attr( $icon_id ); ?>"></i></a></span>
                                  <?php            
                              }
                          }
                          ?>
                      </div><!-- .author-social -->
                  </div>   
              </div><!-- .author-avatar -->
          </div>
      </div><!--para-blog-author-metabox-->
      <?php
  }
endif;

function parallax_blog_auto_load_posts(){

    ob_start();
    // echo 'test';
    // die();
    $post = get_post($_POST['id']);
    setup_postdata( $post );

    $args = array(
     'posts_per_page'    => 1,
     'p'                 => $post->ID,
     'post_type'         => 'post',
     'post_status'       => 'publish', 
 );
    $the_query = new WP_Query( $args);
?>

    <?php 
    if( $the_query->have_posts() ){

        while( $the_query->have_posts() ):  $the_query->the_post();

            $next_post = get_next_post();
            if(!empty($next_post)){
                $next_post_id = $next_post->ID;
            }else{
                $next_post_id = 0;
            }
         ?>

        <div class="single-blog-wrapp-outer" data-id="<?php echo esc_attr($next_post_id)?>" data-cid="<?php echo esc_attr($post->ID)?>">
            <?php 
            $th_class = 'no-thumb';
            if( has_post_thumbnail() ){
                $th_class = '';
            }

            $next_post = get_next_post();

            if(!empty($next_post)){
                $next_post_id = $next_post->ID;
            }else{
                $next_post_id = 0;
            }

            //print_r($next_post_id); 
            $image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
            ?>
            <div class="pb-single-img-wrap" style="background-image: url(<?php echo esc_url($image[0])?>);">
                <header class="entry-header">
                    <?php the_category(); ?>
                    <h1 class="entry-title"><?php the_title(); ?></h1>
                    <div class="pb-blog-author-wrap">
                        <div class="author-wrapper">
                            <div class = "blog-avatar">
                                <?php echo get_avatar( get_the_author_meta( 'ID' ), 55 ); ?>
                            </div>
                            <div class="pb-auth-wrap">
                                <div class="pb-author"><?php echo esc_attr(get_the_author()); ?></div>
                                <span class="pb-post-date"><?php echo esc_html(get_the_date()); ?></span>
                            </div> 
                        </div>
                        <?php
                        if( function_exists('parallax_blog_post_views')){
                            parallax_blog_post_views();    
                        }?>
                    </div>
                </header>
            </div>
            <div class="mid-content pb-blog-wrapper clearfix nosidebar" data-id=<?php echo esc_attr($next_post_id); ?> data-cid=<?php echo esc_attr($post->ID); ?>>
                <div id="primary" class="content-area">
                    <main id="main" class="site-main" role="main">
                        <article id="post-<?php the_ID(); ?>" <?php post_class( 'article-wrap' ); ?>>
                       
                            <div class="entry-content">
                                <?php the_content(); ?>
                            </div><!-- .entry-content -->

                        </article>
                    </main>
                
                </div>
                
            </div><!-- .entry-content -->
            <div class="parallax-ajax-loader" style="display: none;"></div>
        </div>
            <?php 
            endwhile;?>
            <?php 
            wp_reset_postdata();
        } ?>
        
        

        <?php
        $return = ob_get_contents();
        ob_get_clean();
    echo ''.$return; //Escaping of all variables already done above
    die();
}
add_action('wp_ajax_parallax_blog_auto_load_posts','parallax_blog_auto_load_posts');
add_action( 'wp_ajax_nopriv_parallax_blog_auto_load_posts', 'parallax_blog_auto_load_posts' );


function parallax_blog_wid_post_categories()
{
    $parallax_blog_services_cat_lists = get_categories(
        array(
            'hide_empty' => '0',
            'exclude' => '1',
        )
    );
    $parallax_blog_services_cat_array = array();
    $parallax_blog_services_cat_array[] = esc_html__('-- Choose --','parallax-blog');
    foreach($parallax_blog_services_cat_lists as $parallax_blog_services_cat_list){
        $parallax_blog_services_cat_array[$parallax_blog_services_cat_list->slug] = $parallax_blog_services_cat_list->name;
    }
    return $parallax_blog_services_cat_array;
}

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function parallax_blog_body_classes( $classes ) {

    if( is_singular() ){
        $classes[] = 'pb-single-block';
    }

    if ( !is_front_page() ) {
        $classes[] = 'pb-blog-container';
    } 

    $classes[] = 'font-2';
    
    return $classes;
}
add_filter( 'body_class', 'parallax_blog_body_classes' );


 /**
 *Copyright 
 *
 */
function parallax_blog_copyright_fn(){
    $footer_copyright  = accesspress_parallax_of_get_option( 'footer_copyright' );
    ?>
    <div class="bottom-footer">
       <div  class="copy-right">
            &copy; <?php
            echo wp_kses_post($footer_copyright)." ";

            echo esc_html( date( 'Y' ) ) . " ";
            bloginfo( 'name' );
            ?>  
        </div><!-- .copy-right -->
        <div class="site-info">
            <?php

            $author_url = 'https://accesspressthemes.com/';
            printf( esc_html__( '%1$s %2$s', 'parallax-blog' ), '<a href="'.$author_url.'">AccessPress Themes.</a>','All Rights Reserved' ); ?>
        </div><!-- .site-info -->
    </div><!-- .site-info -->  


<?php
}

function parallax_blog_footer_menu_fn(){
    ?>
    <div class="footer-parallax-blog-ft-main-wrap">
        <div class="parallax-blog-footer-rgt">
            <div class="footer-credit">
                <?php parallax_blog_copyright_fn();?>
            </div>
        </div>
        <div class="parallax-blog-footer-left">
            <div class="footer-nav">
                <nav class="footer-navigation">
                    <?php
                    wp_nav_menu( array( 
                            'theme_location' => 'footer_menu', 
                            'menu_id' => 'footer-menu'
                            ) 
                    );              
                    ?>
                </nav>
            </div>
        </div>
       
    </div>
    <?php 
}
add_action( 'parallax_blog_footer', 'parallax_blog_footer_menu_fn' );


//Pagination for single posts
function parallax_blog_single_post_nav(){ ?>   
    <div class="single_post_pagination_wrapper clearfix">
        <div class="prev-link"> 
            <div class="prev-link-wrapper clearfix">
                <?php
                $prevPost = get_previous_post();
                if ( is_a( $prevPost , 'WP_Post' ) ) :
                    $prevthumbnail = get_the_post_thumbnail($prevPost->ID,'medium'); 
                    $prevtitle = get_the_title($prevPost->ID); 

                    if($prevthumbnail){ ?>
                    <span class="prev-image">
                        <?php previous_post_link('%link', $prevthumbnail,false); ?>
                    </span>
                    <?php } ?> 

                    <div class="prev-text">
                        <h4><?php previous_post_link('%link', $prevtitle) ;?></h4>
                        <h2><?php previous_post_link('%link', 'Previous Post'); ?></h2>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        <?php // Display the thumbnail of the next post ?>
        <div class="next-link"> 
            <div class="next-link-wrapper clearfix">
                <?php
                $nextPost = get_next_post();
                if ( is_a( $nextPost , 'WP_Post' ) ) :
                    $nextthumbnail = get_the_post_thumbnail($nextPost->ID,'medium');
                    $nextitle = get_the_title($nextPost->ID); ?>
                   
                    <div class="next-text">
                        <h4><?php next_post_link('%link',$nextitle); ?></h4>
                        <h2><?php next_post_link('%link', 'Next Post'); ?></h2>
                    </div>

                     <?php
                    if($nextthumbnail){ ?>
                    <span class="next-image">
                        <?php next_post_link('%link', $nextthumbnail,false); ?>
                    </span>
                    <?php } 
                endif; ?>
            </div>
        </div>
    </div> <!-- .single_post_pagination_wrapper -->
<?php 
} 
add_action('parallax_blog_single_post_nav','parallax_blog_single_post_nav');