<?php

/**
 * @package Parallax Blog
 */
function parallax_blog_widgets_show_widget_field($instance = '', $widget_field = '', $athm_field_value = '') {
    // Store Posts in array
    $parallax_blog_postlist[0] = array(
        'value' => 0,
        'label' => '--choose--'
    );
    $arg = array('posts_per_page' => -1);
    $parallax_blog_posts = get_posts($arg);
    foreach ($parallax_blog_posts as $parallax_blog_post) :
        $parallax_blog_postlist[$parallax_blog_post->ID] = array(
            'value' => $parallax_blog_post->ID,
            'label' => $parallax_blog_post->post_title
        );
    endforeach;

    extract($widget_field);

    switch ($parallax_blog_widgets_field_type) {

        // Standard text field
        case 'text' :
            ?>
            <p>
                <label for="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>"><?php echo $parallax_blog_widgets_title; ?>:</label>
                <input class="widefat" id="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>" name="<?php echo $instance->get_field_name($parallax_blog_widgets_name); ?>" type="text" value="<?php echo $athm_field_value; ?>" />

                <?php if (isset($parallax_blog_widgets_description)) { ?>
                    <br />
                    <small><?php echo $parallax_blog_widgets_description; ?></small>
                <?php } ?>
            </p>
            <?php
            break;

        // Standard url field
        case 'url' :
            ?>
            <p>
                <label for="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>"><?php echo $parallax_blog_widgets_title; ?>:</label>
                <input class="widefat" id="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>" name="<?php echo $instance->get_field_name($parallax_blog_widgets_name); ?>" type="text" value="<?php echo $athm_field_value; ?>" />

                <?php if (isset($parallax_blog_widgets_description)) { ?>
                    <br />
                    <small><?php echo $parallax_blog_widgets_description; ?></small>
                <?php } ?>
            </p>
            <?php
            break;

        // Textarea field
        case 'textarea' :
            ?>
            <p>
                <label for="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>"><?php echo $parallax_blog_widgets_title; ?>:</label>
                <textarea class="widefat" rows="<?php echo $parallax_blog_widgets_row; ?>" id="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>" name="<?php echo $instance->get_field_name($parallax_blog_widgets_name); ?>"><?php echo $athm_field_value; ?></textarea>
            </p>
            <?php
            break;

        // Checkbox field
        case 'checkbox' :
            ?>
            <p>
                <input id="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>" name="<?php echo $instance->get_field_name($parallax_blog_widgets_name); ?>" type="checkbox" value="1" <?php checked('1', $athm_field_value); ?>/>
                <label for="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>"><?php echo $parallax_blog_widgets_title; ?></label>

                <?php if (isset($parallax_blog_widgets_description)) { ?>
                    <br />
                    <small><?php echo $parallax_blog_widgets_description; ?></small>
                <?php } ?>
            </p>
            <?php
            break;

        // Radio fields
        case 'radio' :
            ?>
            <p>
                <?php
                echo $parallax_blog_widgets_title;
                echo '<br />';
                foreach ($parallax_blog_widgets_field_options as $athm_option_name => $athm_option_title) {
                    ?>
                    <input id="<?php echo $instance->get_field_id($athm_option_name); ?>" name="<?php echo $instance->get_field_name($parallax_blog_widgets_name); ?>" type="radio" value="<?php echo $athm_option_name; ?>" <?php checked($athm_option_name, $athm_field_value); ?> />
                    <label for="<?php echo $instance->get_field_id($athm_option_name); ?>"><?php echo $athm_option_title; ?></label>
                    <br />
                <?php } ?>

                <?php if (isset($parallax_blog_widgets_description)) { ?>
                    <small><?php echo $parallax_blog_widgets_description; ?></small>
                <?php } ?>
            </p>
            <?php
            break;

        // Select field
        case 'select' :
            ?>
            <p>
                <label for="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>"><?php echo $parallax_blog_widgets_title; ?>:</label>
                <select name="<?php echo $instance->get_field_name($parallax_blog_widgets_name); ?>" id="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>" class="widefat">
                    <?php foreach ($parallax_blog_widgets_field_options as $athm_option_name => $athm_option_title) { ?>
                        <option value="<?php echo $athm_option_name; ?>" id="<?php echo $instance->get_field_id($athm_option_name); ?>" <?php selected($athm_option_name, $athm_field_value); ?>><?php echo $athm_option_title; ?></option>
                    <?php } ?>
                </select>

                <?php if (isset($parallax_blog_widgets_description)) { ?>
                    <br />
                    <small><?php echo $parallax_blog_widgets_description; ?></small>
                <?php } ?>
            </p>
            <?php
            break;

        case 'number' :
            ?>
            <p>
                <label for="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>"><?php echo $parallax_blog_widgets_title; ?>:</label><br />
                <input name="<?php echo $instance->get_field_name($parallax_blog_widgets_name); ?>" type="number" step="1" min="1" id="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>" value="<?php echo $athm_field_value; ?>" class="small-text" />

                <?php if (isset($parallax_blog_widgets_description)) { ?>
                    <br />
                    <small><?php echo $parallax_blog_widgets_description; ?></small>
                <?php } ?>
            </p>
            <?php
            break;

        //Title
        case 'title' :
            ?>
            <p>
                <label for="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>"><?php echo $parallax_blog_widgets_title; ?>:</label><br />
            </p>
            <?php
            break;

        // Select field
        case 'selectpost' :
            ?>
            <p>
                <label for="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>"><?php echo $parallax_blog_widgets_title; ?>:</label>
                <select name="<?php echo $instance->get_field_name($parallax_blog_widgets_name); ?>" id="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>" class="widefat">
                    <?php foreach ($parallax_blog_postlist as $parallax_blog_single_post) { ?>
                        <option value="<?php echo $parallax_blog_single_post['value']; ?>" id="<?php echo $instance->get_field_id($parallax_blog_single_post['label']); ?>" <?php selected($parallax_blog_single_post['value'], $athm_field_value); ?>><?php echo $parallax_blog_single_post['label']; ?></option>
                    <?php } ?>
                </select>

                <?php if (isset($parallax_blog_widgets_description)) { ?>
                    <br />
                    <small><?php echo $parallax_blog_widgets_description; ?></small>
                <?php } ?>
            </p>
            <?php
            break;

        case 'color' :
               ?>
               <p>
                   <label class="wtitle widget-label" for="<?php echo esc_attr($instance->get_field_id($parallax_blog_widgets_name)); ?>"><?php echo esc_html($parallax_blog_widgets_title); ?>:</label><br />
                   <input type="text" class="ag-widget-color" name="<?php echo esc_attr($instance->get_field_name($parallax_blog_widgets_name)); ?>" value="<?php echo esc_attr($athm_field_value); ?>" />
               </p>            
               <script type="text/javascript">
                    jQuery(document).ready(function($){
                       // Call Color Picker in Widget Area
                        $('.ag-widget-color').wpColorPicker({
                            change: function(){
                                var cval = $(this).val();
                                $('.wp-picker-container input[type=text].wp-color-picker').change( cval );

                                }
                        });        
                    });
               </script>
               <?php
               break;

         case 'upload' :

            $output = '';
            $id = $instance->get_field_id( $parallax_blog_widgets_name );
            $class = '';
            $int = '';
            $value = $athm_field_value;
            $name = $instance->get_field_name( $parallax_blog_widgets_name );

            if ( $value ) {
                $class = ' has-file';
                $value = explode( 'wp-content', $value );
                $value = content_url().$value[1];
            }
            $output .= '<div class="sub-option widget-upload">';
            $output .= '<label class="wtitle" for="' . $instance->get_field_id( $parallax_blog_widgets_name ) . '">' . $parallax_blog_widgets_title . '</label><br/>';
            $output .= '<input id="' . $id . '" class="upload' . $class . '" type="text" name="' . $name . '" value="' . $value . '" placeholder="' . __( 'No file chosen', 'parallax-blog' ) . '" />' . "\n";
            if ( function_exists( 'wp_enqueue_media' ) ) {
                if ( ( $value == '') ) {
                    $output .= '<input id="upload-' . $id . '" class="ap-upload-button button" type="button" value="' . __( 'Upload', 'parallax-blog' ) . '" />' . "\n";
                } else {
                    $output .= '<input id="remove-' . $id . '" class="remove-file button" type="button" value="' . __( 'Remove', 'parallax-blog' ) . '" />' . "\n";
                }
            } else {
                $output .= '<p><i>' . __( 'Upgrade your version of WordPress for full media support.', 'parallax-blog' ) . '</i></p>';
            }

            $output .= '<div class="screenshot upload-thumb" id="' . $id . '-image">' . "\n";

            if ( $value != '' ) {
                $remove = '<a class="remove-image">'. __( 'Remove', 'parallax-blog' ).'</a>';
                $attachment_id = parallax_blog_get_attachment_id_from_url( $value );
                $image_array = wp_get_attachment_image_src( $attachment_id, 'large' );
                $image = preg_match( '/(^.*\.jpg|jpeg|png|gif|ico*)/i', $value );
                if ( $image ) {
                    $output .= '<img src="' . $image_array[0] . '" alt="" height="150px" width="150px"/>';
                } else {
                    $parts = explode( "/", $value );
                    for ( $i = 0; $i < sizeof( $parts ); ++$i ) {
                        $title = $parts[$i];
                    }

                    // No output preview if it's not an image.
                    $output .= '';

                    // Standard generic output if it's not an image.
                    $title = esc_html__( 'View File', 'parallax-blog' );
                    $output .= '<div class="no-image"><span class="file_link"><a href="' . $value . '" target="_blank" rel="external">' . $title . '</a></span></div>';
                }
            }
            $output .= '</div></div>' . "\n";
            echo $output;
            break;

        case 'icon' :
            add_thickbox();
            ?>
            <p>
                <label for="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>"><?php echo $parallax_blog_widgets_title; ?>:</label><br />
                <span class="icon-receiver"><i class="<?php echo $athm_field_value; ?>"></i></span>
                <input class="hidden-icon-input" name="<?php echo $instance->get_field_name($parallax_blog_widgets_name); ?>" type="hidden" id="<?php echo $instance->get_field_id($parallax_blog_widgets_name); ?>" value="<?php echo $athm_field_value; ?>" />

                <?php if (isset($parallax_blog_widgets_description)) { ?>
                    <br />
                    <small><?php echo $parallax_blog_widgets_description; ?></small>
                <?php } ?>
            </p>

            <div id="ap-font-awesome-list">
                <ul class="ap-font-group">
                    <?php $ion_icons = parallax_blog_icons_array();
                        foreach ($ion_icons as $ion_icon) {?>
                            <li><i class="<?php echo $ion_icon; ?>"></i></li>
                        <?php 
                        }
                    ?>
                </ul>
            </div>

            <?php
            break;
    }
}

function parallax_blog_widgets_updated_field_value($widget_field, $new_field_value) {

    extract($widget_field);

    // Allow only integers in number fields
    if ($parallax_blog_widgets_field_type == 'number') {
        return absint($new_field_value);

        // Allow some tags in textareas
    } elseif ($parallax_blog_widgets_field_type == 'textarea' || $parallax_blog_widgets_field_type == 'text') {
        // Check if field array specifed allowed tags
        if (!isset($parallax_blog_widgets_allowed_tags)) {
            // If not, fallback to default tags
            $parallax_blog_widgets_allowed_tags = '<p><strong><em><a>';
        }
        return strip_tags($new_field_value, $parallax_blog_widgets_allowed_tags);

        // No allowed tags for all other fields
    } elseif ($parallax_blog_widgets_field_type == 'url') {
        return esc_url_raw($new_field_value);
    } else {
        return strip_tags($new_field_value);
    }
}

/**
 * Enqueue scripts for file uploader
 */
function optionswidget_media_scriptss($hook) {

    //wp_enqueue_style('accesspress_parallax-font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css');
    wp_enqueue_style('font-admin-css', get_template_directory_uri() . '/assets/css/font-admin.css');
    wp_register_script('font-admin-js', get_template_directory_uri() . '/assets/js/font-admin.js', array('jquery'));
    wp_enqueue_script('font-admin-js');
}

add_action('admin_enqueue_scripts', 'optionswidget_media_scriptss');